KSHELL(1)

NAME
kdeinit_wrapper, kshell, kwrapper - start applications via kdeinit

SYNOPSIS
kdeinit_wrapper application [arguments]

kshell application [arguments]

kwrapper application [arguments]

DESCRIPTION
kdeinit_wrapper, kshell and kwrapper start applications via kdeinit.

kdeinit_wrapper simply passes application name and arguments to kdeinit.

kshell passes application name, arguments, complete environment and current working directory to kdeinit.

kwrapper tries to make the application look like it was actually started directly and not via kdeinit. Like kshell it passes application name, arguments, complete environment and current working directory to kdeinit.
Additionally it

-   tries to redirect application output to the console from which kwrapper was started

-   waits for the application to finish (but does not return its return value)

-   passes most signals it gets to the process of the started application

The signal passing allows you to use Ctrl-C to break the started application or Ctrl-Z to stop it.

Note: With the use of kwrapper you will have one more process running and also the signal passing and output redirection may not work properly.

OPTIONS

application
    application to start

arguments
    arguments of application to start

SEE ALSO

  kdeinit(1)

AUTHORS
kshell:
Oswald Buddenhagen <ossi@kde.org>
kwrapper and kdeinit_wrapper:
Waldo Bastian <bastian@kde.org>
Mario Weilguni <mweilguni@sime.org>
Lubos Lunak <l.lunak@kde.org>
Please use http://bugs.kde.org to report bugs, do not mail the authors directly.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.